Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158444

Summary: cone - FC4 x86_64 rebuild failed
Product: [Fedora] Fedora Reporter: Thorsten Leemhuis <fedora>
Component: coneAssignee: Steven Pritchard <steve>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.64-5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-06-02 23:03:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 157553    

Description Thorsten Leemhuis 2005-05-22 12:32:33 UTC
This package failed to rebuild on x86_64 for FC4 Development around 2005-04-11
after an automated release bump. No build logs available afaics.

Please request a rebuild.

Comment 1 Steven Pritchard 2005-05-27 02:23:00 UTC
I just noticed on fedora-extras-commits that Jeremy Katz beat me to it.  I've
been trying to find some time to get my x86_64 test box updated to rawhide to
try a test build here, but I suppose now I may not have to.

Comment 2 Steven Pritchard 2005-05-28 00:19:25 UTC
So the build failed (again), but this time we have a build log.

http://extras64.linux.duke.edu/failed/development/cone/0.64-3/x86_64/cone-0.64-3.failure.log

Scanning quickly through the build log, the failures seem to be from missing files.

Compiling maildirkeywords4.cpp
In file included from /usr/lib/gcc/x86_64-redhat-linux/4.0.0/../../../../include
/c++/4.0.0/bits/stl_tree.h:66,
                 from /usr/lib/gcc/x86_64-redhat-linux/4.0.0/../../../../include
/c++/4.0.0/set:65,
                 from maildirkeywords.h:435,
                 from maildirkeywords4.cpp:9:
/usr/lib/gcc/x86_64-redhat-linux/4.0.0/../../../../include/c++/4.0.0/bits/stl_al
gobase.h:64:28: error: bits/c++config.h: No such file or directory

For a moment I thought perhaps cone.spec was missing an explicit BuildRequires:
libstdc++-devel, but it is there, so I'm confused...

I have my FC4t3/x86_64 test box up now, so I'll try a build there as soon as I
get it updated to rawhide.

Comment 3 Michael Schwendt 2005-05-28 01:32:02 UTC
No, this is a known x86_64 build system problem. libstdc++-devel 32-bit and
64-bit replacing eachother. It has been discussed before, on extras-list most
likely (I think related to "octave" build failure).


Comment 4 Steven Pritchard 2005-05-28 15:20:08 UTC
Ah, right, I remember that now.

So is there a better workaround than to just keep re-submitting the build
request until it succeeds?

Comment 5 Michael Schwendt 2005-06-02 18:31:47 UTC
I believe the trick is to not specify the redundant Buildrequires
libstdc++-devel gcc-c++. With that, the build attempt did succeed:

http://extras64.linux.duke.edu/needsign/4/cone/0.64-5/